/*
 * Copyright 2016 University of Chicago
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file stat.c
 * Implementation of the s3 DSI stat
 */

#include "globus_gridftp_server_s3_base.h"

/**
 * @brief Parse a gridftp URL into a S3 bucket and key
 * @detail
 * Destructively modifies the string pointed to by path, and
 * points bucket_name and key to substrings within the modified path.
 */
void
globus_i_s3_path_parse(
    char                               *path,
    char                              **bucket_name,
    char                              **key)
{
    if (path[0] == '/')
    {
        *bucket_name = path+1;
    }
    else
    {
        *bucket_name = path;
    }
    *key = strchr(*bucket_name, '/');
    if (*key)
    {
        *(*key)++ = '\0';
    }
}
// vim: ft=c:
